#
# spec file for package xli (Version 20050904)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           xli
BuildRequires:  libjpeg-devel libpng-devel xorg-x11-devel
%define ver 2005-09-04
License:        X11/MIT, Other License(s), see package
Group:          System/X11/Utilities
Provides:       xli115 
Autoreqprov:    on
Version:        20050904
Release:        16.2
Summary:        X11 Image Loading Utility
URL:            http://pantransit.reptiles.org/prog
Source:         xli-1.17.0-%{version}.tar.bz2
Patch0:         xli-1.17.0.patch
Patch1:         xli-1.17.0-overflow.patch
Patch2:         xli-1.17.0-8bit_palette.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xli is a version of xloadimage.

This utility will view several types of images under X11, or load
images onto the X11 root window.



Authors:
--------
    Graeme Gill <GraemeGill@access.net.au>
    Smarasderagd <smar@reptiles.org>

%debug_package
%prep
%setup -q -n xli-%{ver}
%patch0
%patch1 
%patch2 
xmkmf -a

%build
make all CCOPTIONS="$RPM_OPT_FLAGS -fstack-protector"

%install
make BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin install
make DESTDIR=$RPM_BUILD_ROOT install.man 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* ABOUTGAMMA
%doc /usr/X11R6/man/man1/xli.1x.gz
%doc /usr/X11R6/man/man1/xlito.1x.gz
/usr/X11R6/bin/xli
/usr/X11R6/bin/xlito
/usr/X11R6/bin/xsetbg
/usr/X11R6/bin/xview

%changelog -n xli
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - lmichnovic@suse.cz
- added -fstack-protector into CCOPTIONS in specfile
* Fri Oct 14 2005 - lmichnovic@suse.cz
- fixed buffer overflow which can be misused to execute arbitrary code (#121922)
- added support 8bit color images with palette.
* Thu Sep 08 2005 - ltinkl@suse.cz
- update to snapshot 2005-09-04 which incorporates fixes for
  the previous security bug (#66139) and fullscreen handling
  (#115258)
* Fri Jun 10 2005 - meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Apr 20 2005 - ltinkl@suse.de
- fix buffer overflow (#66139)
* Thu Jul 01 2004 - bg@suse.de
- fix Imakefile for hppa
* Tue Feb 24 2004 - schwab@suse.de
- Fix bad unsigned division [#25778].
* Wed Jun 04 2003 - mjancar@suse.cz
- added URL
* Wed Nov 13 2002 - jderfina@suse.cz
- fixed "GCC no longer implements <varargs.h>." error.
* Thu Sep 26 2002 - max@suse.de
- New version 1.17.0.
- Now supports PNG and progressive JPEG.
* Tue Sep 04 2001 - nadvornik@suse.cz
- fixed copyright tag
- removed Provides: xli
* Fri Jul 20 2001 - nadvornik@suse.cz
- fixed possible buffer overflow
* Fri Apr 13 2001 - schwab@suse.de
- Fix missing declarations.
- Fix unaligned access.
* Fri May 12 2000 - nadvornik@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun 09 1997 - fehr@suse.de
- make all smlinks relative
